Variable numeric set

Question types ::: qtype_varnumericset
Maintained by Tim at Lone Pine Koala SanctuaryTim Hunt, Jamie Pratt, Phil Butcher
A calculated numeric question type with variable and expression evaluation. All values are precalculated although a question can have several variants with different variable values for each variant.
Latest release:
866 sites
157 downloads
13 fans
Current versions available: 7

There are working examples in eAssessment with Moodle on our OpenLearn site.

The documentation is in How to create questions in Moodle on that site.

Sets

This plugin is part of set Open University.

Screenshots

Screenshot #0
Screenshot #1

Contributors

Tim at Lone Pine Koala Sanctuary
Tim Hunt (Lead maintainer)
Jamie Pratt: Developer
Phil Butcher: Question type designer
Colin Chambers: Developer
Chris Nelson: Product owner
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Mon, Jun 16, 2014, 5:07 PM
    Hello,

    I want to make a question with answer 20*log10(a) where a is a variable.

    I cannot save the question with that answer but I can save the equation with answer 20*log(a). The validator for the answer field seems not to recognize log10 function.

    Thanks.

    JD Park
  • Tim at Lone Pine Koala Sanctuary
    Tue, Jun 17, 2014, 12:23 AM
    The documenation is here: http://www.open.edu/openlearnworks/mod/oucontent/view.php?id=52747&section=2.1.2 The list of supported functions is given just after figure 2.9. There is no log10 function. Both log and ln are natural logarithm. You will have to use the equivalence

    log10(x) = log(x)/log(10)

    varnumeric uses the same calculator library as the gradebook. In principle it might be possible to add a log10 function, or just a log(x, base) function of two arguemnts, but this would be a core change so you would need to open a feature request at https://tracker.moodle.org/ if there is not on there already.
  • Wed, Aug 23, 2017, 9:38 PM
    Hello!

    Is this plugin compatbile with moodle 3.3 ?

    Thanks,
    Kzou
  • Tim at Lone Pine Koala Sanctuary
    Wed, Aug 23, 2017, 9:39 PM
    Almost certainly yes, although I have not tested it. If you have a test server, you could try it and let us know.
  • Tue, Oct 17, 2017, 10:32 PM
    I tested the plugin on moodle 3.3 and it works.
  • Tim at Lone Pine Koala Sanctuary
    Tue, Oct 17, 2017, 10:55 PM
    Thanks, Charles. Compatibility information updated.
  • Mon, Apr 23, 2018, 8:03 PM
    Will there be a 3.4 Version of this Plugin?

    Best regards
    Sebastian
  • You either love it or you hate it
    Wed, Jul 25, 2018, 8:23 PM
    Me too on 3.4 as 3.3 version will not install
Please login to post comments